package com.zksy.drainage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.drainage.domain.WaterloggingPoint;

import java.util.List;

/**
 * 易积水点管理 Service接口
 */
public interface WaterloggingPointService extends IService<WaterloggingPoint> {

    /**
     * 分页查询
     */
    Page<WaterloggingPoint> findByPage(long pageNum, long pageSize, String name, String area);

    /**
     * 新增
     */
    boolean saveWithCheck(WaterloggingPoint entity);

    /**
     * 修改
     */
    boolean updateWithCheck(WaterloggingPoint entity);

    /**
     * 删除
     */
    boolean removeWithCheck(String id);

    /**
     * 批量删除
     */
    boolean removeBatchWithCheck(List<String> ids);

    /**
     * 绑定设备到易积水点
     */
    boolean bindEquipment(String id, List<String> equipmentIds);
}
